### wda_lib

[![Gem Version](https://badge.fury.io/rb/wda_lib.svg)](https://badge.fury.io/rb/wda_lib)

A simple ruby lib of binding methods for [WebDriverAgent](https://github.com/facebook/WebDriverAgent)

## Install

```
gem install wda_lib
```

## Usage example

A simple test to show all actions on WDA IntegrationApp
[Single devices](../master/example/single_device.rb)

## Example of multiple devices

[Multiple devices](../master/example/multiple_devices.rb)


## Options
This lib is also providing access of selenium-webdriver methods, for example find_element and find_elements.
You can do:

```ruby
element = app.driver.find_element(:link_text, 'label=xxxx')
```

Then you can use all methods for selenium element object:
```
element.click
element.name
element.label
element.tag_name
element.size
element.rect
element.location
```

## Doc

Use yard to generate locale documentations.
```ruby
yard doc

yard server
```

Open [wda doc](http://localhost:8808) in your browser. 

## TODO

Add more tests...

## Contributing

Welcome to get your contributions, to help improving the lib.

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Added some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

## Contact Information

Author: Yi MIN
E-mail: yi@zen.ly
